<?php
define('MKTOP', 1);
error_reporting(0);

require_once 'config.php'; // $id_shop / $hash
require_once 'connect.php'; //ConnectDB
$title = 'Покупка рекламы';
include_once '../system/core.php';
include_once '../system/function.php';

$error=FALSE;

if(isset($_POST['submit'])){

if(empty($_POST['url']) || empty($_POST['name']) || empty($_POST['days'])){
$error='<div class="text">Похоже вы что-то пропустили...</div>';
}else{

$url=(string)$_POST['url'];
$ilu=mb_strlen($url);
if($ilu<11 || $ilu>50){
$error='<div class="text">Предельная длина URL 11-50</div>';
}else{

$url=mysql_real_escape_string(htmlspecialchars($url));

$name=(string)$_POST['name'];
$iln=mb_strlen($name);
if($iln<3 || $iln>32){
$error='<div class="text">Предельная длина названия 3-32</div>';
}else{

$name=mysql_real_escape_string(htmlspecialchars($name));

$days=abs((int)$_POST['days']);

if($days<0 || $days>$ism){
$error='<div class="text">Предельное количество дней 1-'.$ism.'</div>';
}else{

$summa=$isd; //сумма платежа
$comm='Заказ рекламы'; //комментарий к платежу
$comm.=' | '.$url;
$comm.=' | '.$name;
$comm.=' | '.$days.' дн.';

$sql="INSERT INTO `worldkassa` SET `url`='$url', `name`='$name'";

if(!empty($_POST['color'])){
$color=mysql_real_escape_string(htmlspecialchars((string)$_POST['color']));
if(array_key_exists($color,$alc)){
$sql.=",`color`='$color'"; $summa+=$isc; $comm.=' '.$color;
}else{$error='Нет цвета';};
};

if($error==FALSE){//error

if(isset($_POST['bold'])){ $sql.=',`bold`=1'; $summa+=$isb; $comm.=' bold'; };

if(isset($_POST['italic'])){ $sql.=',`italic`=1'; $summa+=$isi; $comm.=' italic'; };

$summa*=$days;

$sql.=',`summa`='.$summa;
$sql.=',`days`='.$days;

$data=file_get_contents('http://worldkassa.ru/user/oplata.php?id_shop='.$id_shop.'&summa='.$summa.'&hash='.$hash.'&desc='.urlencode($comm));

if(is_numeric($data)){//data
$sql.=",`id_bill`='$data'";

mysql_query($sql)or die(mysql_error());
header("Location: http://worldkassa.ru/user/oplata.php?uniq=".$data);
exit;

}else{//data
$error='Сбой: '.$data;
};//data

};//error
};//days
};//name
};//url
};//empty
};//submit

//
include_once'head.php'; //header

if($error){
echo'<div class="error"> '.$error.' </div>';
}elseif(isset($_REQUEST['success'])){
echo'<div class="text"> Баланс успешно пополнен </div>';
}elseif(isset($_REQUEST['error'])){
echo'<div class="text"> Произошла ошибка при пополнении </div>';
};

echo'<div class="text"><form action="index.php" method="post">
<legend>Автоматическая покупка рекламы</legend>

URL сайта[50]:<br/><input name="url" type="text" maxlength="50" value="http://"/><br/>

Название ссылки[32]:<br/><input name="name" type="text" maxlength="32"/><br/>

Количество дней[1-'.$ism.']:<br/><input name="days" type="text" maxlength="5" size="5" value="7"/><br/>

Цвет ссылки:<br/>
<select name="color">';
foreach($alc as $slc=>$slv){
echo'<option value="'.$slc.'">'.$slv.'</option>';
};
echo'</select><br/>

<input name="bold" type="checkbox" value="1"/> <b>Жирность</b><br/>

<input name="italic" type="checkbox" value="1"/> <i>Курсивность</i><br/>

<br/>
22 способа оплаты: WorldKassa<br/>
Стоимость размещение рекламы в день: '.$isd.' руб.<br/>
Добавление цвета в день: '.$isc.' руб.<br/>
Добавление жирности в день: '.$isb.' руб.<br/>
Добавление курсивности в день: '.$isi.' руб.<br/>
<br/>

<input type="submit" name="submit" value="Перейти к оплате"/>
</form></div>';

echo'<div class="text">
Правила предоставления рекламы:</div>

<div class="text"><b>1.</b> После покупки, Вы не сможете отказаться, возврат средств не подлежит!</div>

<div class="text"><b>2. </b>Рекламы показываются до 6 ссылок поочередно, и показываются рандомно.</div>

<div class="text"><b>3.</b> К рекламе не допускаются сайты нарушающие законодательство всех стран</div>

<div class="text"><b>4.</b> Запрещены к показу сайты содержащие вирусы, фейки и тп.</div>

<span style="color:red;font-weight:bold"><div class="text">(!)</span> <b>В случае нарушения данных правил, администрация вправе удалить рекламную ссылку без указания причин и возврата затраченных, денежных средств!</div></b>
</div>
';

include_once'foot.php';

?>